Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 1777)
+++ palm/trunk/SCRIPTS/mrun	(revision 1779)
@@ -3762,5 +3762,5 @@
       then
          printf "\n\n\n *** post-processing: now executing \"aprun  -n 1  -N 1 combine_plot_fields${block}.x\" ..."
-         aprun  -n 1  -N 1 combine_plot_fields${block}.x #$ROPTS < runfile_atmos 
+         aprun  -n 1  -N 1 combine_plot_fields${block}.x
       else
          printf "\n\n\n *** post-processing: now executing \"combine_plot_fields${block}.x\" ..."
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 1777)
+++ palm/trunk/SCRIPTS/subjob	(revision 1779)
@@ -152,5 +152,5 @@
 
  typeset  -i   cputime=0  memory=0  Memory=0  minuten  resttime  sekunden  stunden
- typeset  -i   inumprocs  mpi_tasks=0  nodes=0  processes_per_node=0 tasks_per_node=0  threads_per_task=1
+ typeset  -i   numprocs  mpi_tasks=0  nodes=0  processes_per_node=0 tasks_per_node=0  threads_per_task=1
 
 
Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1777)
+++ palm/trunk/SOURCE/Makefile	(revision 1779)
@@ -20,5 +20,5 @@
 # Current revisions:
 # ------------------
-# 
+# dependencies changed for init_peprid
 # 
 # Former revisions:
@@ -383,5 +383,5 @@
 init_masks.o: modules.o mod_kinds.o
 init_ocean.o: modules.o eqn_state_seawater.o mod_kinds.o
-init_pegrid.o: modules.o mod_kinds.o pmc_interface.o
+init_pegrid.o: modules.o mod_kinds.o
 init_pt_anomaly.o: modules.o mod_kinds.o
 init_rankine.o: modules.o mod_kinds.o
Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 1777)
+++ palm/trunk/SOURCE/check_open.f90	(revision 1779)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! coupling_char is trimmed at every place it occurs, because it can have
+! different length now
 ! 
 ! Former revisions:
@@ -274,13 +275,13 @@
 !--       check_namelist_files!
           IF ( check_restart == 2 ) THEN
-             OPEN ( 11, FILE='PARINF'//coupling_char, FORM='FORMATTED',        &
-                        STATUS='OLD' )
-          ELSE
-             OPEN ( 11, FILE='PARIN'//coupling_char, FORM='FORMATTED',         &
+             OPEN ( 11, FILE='PARINF'//TRIM( coupling_char ),                  &
+                        FORM='FORMATTED', STATUS='OLD' )
+          ELSE
+             OPEN ( 11, FILE='PARIN'//TRIM( coupling_char ), FORM='FORMATTED', &
                         STATUS='OLD' )
           END IF
 #else
 
-          OPEN ( 11, FILE='PARIN'//coupling_char, FORM='FORMATTED',            &
+          OPEN ( 11, FILE='PARIN'//TRIM( coupling_char ), FORM='FORMATTED',    &
                      STATUS='OLD' )
 #endif
@@ -289,5 +290,5 @@
 
           IF ( myid_char == '' )  THEN
-             OPEN ( 13, FILE='BININ'//coupling_char//myid_char,                &
+             OPEN ( 13, FILE='BININ'//TRIM( coupling_char )//myid_char,        &
                         FORM='UNFORMATTED', STATUS='OLD' )
           ELSE
@@ -296,9 +297,9 @@
 !--          only this file contains the global variables
              IF ( .NOT. openfile(file_id)%opened_before )  THEN
-                OPEN ( 13, FILE='BININ'//TRIM( coupling_char )//'/_000000',      &
+                OPEN ( 13, FILE='BININ'//TRIM( coupling_char )//'/_000000',    &
                            FORM='UNFORMATTED', STATUS='OLD' )
              ELSE
-                OPEN ( 13, FILE='BININ'//TRIM( coupling_char )//'/'//myid_char,&
-                           FORM='UNFORMATTED', STATUS='OLD' )
+                OPEN ( 13, FILE='BININ'//TRIM( coupling_char )//'/'//          &
+                           myid_char, FORM='UNFORMATTED', STATUS='OLD' )
              ENDIF
           ENDIF
@@ -307,9 +308,9 @@
 
           IF ( myid_char == '' )  THEN
-             OPEN ( 14, FILE='BINOUT'//coupling_char//myid_char,               &
+             OPEN ( 14, FILE='BINOUT'//TRIM( coupling_char )//myid_char,       &
                         FORM='UNFORMATTED', POSITION='APPEND' )
           ELSE
              IF ( myid == 0  .AND. .NOT. openfile(file_id)%opened_before )  THEN
-                CALL local_system( 'mkdir  BINOUT' // coupling_char )
+                CALL local_system( 'mkdir  BINOUT' // TRIM( coupling_char ) )
              ENDIF
 #if defined( __parallel ) && ! defined ( __check )
@@ -325,29 +326,33 @@
        CASE ( 15 )
 
-          OPEN ( 15, FILE='RUN_CONTROL'//coupling_char, FORM='FORMATTED' )
+          OPEN ( 15, FILE='RUN_CONTROL'//TRIM( coupling_char ),                &
+                     FORM='FORMATTED' )
 
        CASE ( 16 )
 
-          OPEN ( 16, FILE='LIST_PROFIL'//coupling_char, FORM='FORMATTED' )
+          OPEN ( 16, FILE='LIST_PROFIL'//TRIM( coupling_char ),                &
+                     FORM='FORMATTED' )
 
        CASE ( 17 )
 
-          OPEN ( 17, FILE='LIST_PROFIL_1D'//coupling_char, FORM='FORMATTED' )
+          OPEN ( 17, FILE='LIST_PROFIL_1D'//TRIM( coupling_char ),             &
+                     FORM='FORMATTED' )
 
        CASE ( 18 )
 
-          OPEN ( 18, FILE='CPU_MEASURES'//coupling_char, FORM='FORMATTED' )
+          OPEN ( 18, FILE='CPU_MEASURES'//TRIM( coupling_char ),               &
+                     FORM='FORMATTED' )
 
        CASE ( 19 )
 
-          OPEN ( 19, FILE='HEADER'//coupling_char, FORM='FORMATTED' )
+          OPEN ( 19, FILE='HEADER'//TRIM( coupling_char ), FORM='FORMATTED' )
 
        CASE ( 20 )
 
           IF ( myid == 0  .AND. .NOT. openfile(file_id)%opened_before )  THEN
-             CALL local_system( 'mkdir  DATA_LOG' // coupling_char )
+             CALL local_system( 'mkdir  DATA_LOG' // TRIM( coupling_char ) )
           ENDIF
           IF ( myid_char == '' )  THEN
-             OPEN ( 20, FILE='DATA_LOG'//TRIM( coupling_char )//'/_000000',      &
+             OPEN ( 20, FILE='DATA_LOG'//TRIM( coupling_char )//'/_000000',    &
                         FORM='UNFORMATTED', POSITION='APPEND' )
           ELSE
@@ -358,6 +363,6 @@
              CALL MPI_BARRIER( comm2d, ierr )
 #endif
-             OPEN ( 20, FILE='DATA_LOG'//TRIM( coupling_char )//'/'//myid_char,&
-                        FORM='UNFORMATTED', POSITION='APPEND' )
+             OPEN ( 20, FILE='DATA_LOG'//TRIM( coupling_char )//'/'//          &
+                        myid_char, FORM='UNFORMATTED', POSITION='APPEND' )
           ENDIF
 
@@ -368,5 +373,5 @@
                         FORM='UNFORMATTED', POSITION='APPEND' )
           ELSE
-             OPEN ( 21, FILE='PLOT2D_XY'//coupling_char,                       &
+             OPEN ( 21, FILE='PLOT2D_XY'//TRIM( coupling_char ),                       &
                         FORM='UNFORMATTED', POSITION='APPEND' )
           ENDIF
@@ -401,6 +406,6 @@
                         FORM='UNFORMATTED', POSITION='APPEND' )
           ELSE
-             OPEN ( 22, FILE='PLOT2D_XZ'//coupling_char, FORM='UNFORMATTED',   &
-                        POSITION='APPEND' )
+             OPEN ( 22, FILE='PLOT2D_XZ'//TRIM( coupling_char ),               &
+                        FORM='UNFORMATTED', POSITION='APPEND' )
           ENDIF
 
@@ -434,6 +439,6 @@
                         FORM='UNFORMATTED', POSITION='APPEND' )
           ELSE
-             OPEN ( 23, FILE='PLOT2D_YZ'//coupling_char, FORM='UNFORMATTED',   &
-                        POSITION='APPEND' )
+             OPEN ( 23, FILE='PLOT2D_YZ'//TRIM( coupling_char ),               &
+                        FORM='UNFORMATTED', POSITION='APPEND' )
           ENDIF
 
@@ -541,5 +546,6 @@
           ELSE
              IF ( myid == 0  .AND.  .NOT. openfile(80)%opened_before )  THEN
-                CALL local_system( 'mkdir  PARTICLE_INFOS' // coupling_char )
+                CALL local_system( 'mkdir  PARTICLE_INFOS' //                  &
+                                   TRIM( coupling_char ) )
              ENDIF
 #if defined( __parallel ) && ! defined ( __check )
@@ -565,21 +571,23 @@
        CASE ( 81 )
 
-             OPEN ( 81, FILE='PLOTSP_X_PAR'//coupling_char, FORM='FORMATTED',  &
-                        DELIM='APOSTROPHE', RECL=1500, POSITION='APPEND' )
+             OPEN ( 81, FILE='PLOTSP_X_PAR'//TRIM( coupling_char ),            &
+                        FORM='FORMATTED', DELIM='APOSTROPHE', RECL=1500,       &
+                        POSITION='APPEND' )
 
        CASE ( 82 )
 
-             OPEN ( 82, FILE='PLOTSP_X_DATA'//coupling_char, FORM='FORMATTED', &
-                        POSITION = 'APPEND' )
+             OPEN ( 82, FILE='PLOTSP_X_DATA'//TRIM( coupling_char ),           &
+                        FORM='FORMATTED', POSITION = 'APPEND' )
 
        CASE ( 83 )
 
-             OPEN ( 83, FILE='PLOTSP_Y_PAR'//coupling_char, FORM='FORMATTED',  &
-                        DELIM='APOSTROPHE', RECL=1500, POSITION='APPEND' )
+             OPEN ( 83, FILE='PLOTSP_Y_PAR'//TRIM( coupling_char ),            &
+                        FORM='FORMATTED', DELIM='APOSTROPHE', RECL=1500,       &
+                        POSITION='APPEND' )
 
        CASE ( 84 )
 
-             OPEN ( 84, FILE='PLOTSP_Y_DATA'//coupling_char, FORM='FORMATTED', &
-                        POSITION='APPEND' )
+             OPEN ( 84, FILE='PLOTSP_Y_DATA'//TRIM( coupling_char ),           &
+                        FORM='FORMATTED', POSITION='APPEND' )
 
        CASE ( 85 )
@@ -590,5 +598,6 @@
           ELSE
              IF ( myid == 0  .AND.  .NOT. openfile(85)%opened_before )  THEN
-                CALL local_system( 'mkdir  PARTICLE_DATA' // coupling_char )
+                CALL local_system( 'mkdir  PARTICLE_DATA' //                   &
+                                   TRIM( coupling_char ) )
              ENDIF
 #if defined( __parallel ) && ! defined ( __check )
@@ -622,8 +631,8 @@
 !--       Set filename depending on unit number
           IF ( file_id == 101 )  THEN
-             filename = 'DATA_2D_XY_NETCDF' // coupling_char
+             filename = 'DATA_2D_XY_NETCDF' // TRIM( coupling_char )
              av = 0
           ELSE
-             filename = 'DATA_2D_XY_AV_NETCDF' // coupling_char
+             filename = 'DATA_2D_XY_AV_NETCDF' // TRIM( coupling_char )
              av = 1
           ENDIF
@@ -684,8 +693,8 @@
 !--       Set filename depending on unit number
           IF ( file_id == 102 )  THEN
-             filename = 'DATA_2D_XZ_NETCDF' // coupling_char
+             filename = 'DATA_2D_XZ_NETCDF' // TRIM( coupling_char )
              av = 0
           ELSE
-             filename = 'DATA_2D_XZ_AV_NETCDF' // coupling_char
+             filename = 'DATA_2D_XZ_AV_NETCDF' // TRIM( coupling_char )
              av = 1
           ENDIF
@@ -746,8 +755,8 @@
 !--       Set filename depending on unit number
           IF ( file_id == 103 )  THEN
-             filename = 'DATA_2D_YZ_NETCDF' // coupling_char
+             filename = 'DATA_2D_YZ_NETCDF' // TRIM( coupling_char )
              av = 0
           ELSE
-             filename = 'DATA_2D_YZ_AV_NETCDF' // coupling_char
+             filename = 'DATA_2D_YZ_AV_NETCDF' // TRIM( coupling_char )
              av = 1
           ENDIF
@@ -807,5 +816,5 @@
 !
 !--       Set filename
-          filename = 'DATA_1D_PR_NETCDF' // coupling_char
+          filename = 'DATA_1D_PR_NETCDF' // TRIM( coupling_char )
 
 !
@@ -847,5 +856,5 @@
 !
 !--       Set filename
-          filename = 'DATA_1D_TS_NETCDF' // coupling_char
+          filename = 'DATA_1D_TS_NETCDF' // TRIM( coupling_char )
 
 !
@@ -889,8 +898,8 @@
 !--       Set filename depending on unit number
           IF ( file_id == 106 )  THEN
-             filename = 'DATA_3D_NETCDF' // coupling_char
+             filename = 'DATA_3D_NETCDF' // TRIM( coupling_char )
              av = 0
           ELSE
-             filename = 'DATA_3D_AV_NETCDF' // coupling_char
+             filename = 'DATA_3D_AV_NETCDF' // TRIM( coupling_char )
              av = 1
           ENDIF
@@ -952,5 +961,5 @@
 !
 !--       Set filename
-          filename = 'DATA_1D_SP_NETCDF' // coupling_char
+          filename = 'DATA_1D_SP_NETCDF' // TRIM( coupling_char )
 
 !
@@ -994,5 +1003,5 @@
 
           IF ( myid_char == '' )  THEN
-             filename = 'DATA_PRT_NETCDF' // coupling_char
+             filename = 'DATA_PRT_NETCDF' // TRIM( coupling_char )
           ELSE
              filename = 'DATA_PRT_NETCDF' // TRIM( coupling_char ) // '/' //   &
@@ -1055,5 +1064,5 @@
 !
 !--       Set filename
-          filename = 'DATA_1D_PTS_NETCDF' // coupling_char
+          filename = 'DATA_1D_PTS_NETCDF' // TRIM( coupling_char )
 
 !
@@ -1097,5 +1106,6 @@
        CASE ( 117 )
 
-          OPEN ( 117, FILE='PROGRESS'//coupling_char, STATUS='REPLACE', FORM='FORMATTED' )
+          OPEN ( 117, FILE='PROGRESS'//TRIM( coupling_char ),                  &
+                      STATUS='REPLACE', FORM='FORMATTED' )
 
 
@@ -1106,5 +1116,6 @@
              mid = file_id - 200
              WRITE ( mask_char,'(I2.2)')  mid
-             filename = 'DATA_MASK_' // mask_char // '_NETCDF' // coupling_char
+             filename = 'DATA_MASK_' // mask_char // '_NETCDF' //              &
+                        TRIM( coupling_char )
              av = 0
           ELSE
@@ -1112,5 +1123,5 @@
              WRITE ( mask_char,'(I2.2)')  mid
              filename = 'DATA_MASK_' // mask_char // '_AV_NETCDF' //           &
-                  coupling_char
+                        TRIM( coupling_char )
              av = 1
           ENDIF
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 1777)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 1779)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! coupling_char is trimmed at every place it occurs, because it can have
+! different length now
 !
 ! Former revisions:
@@ -89,6 +90,6 @@
 !
 ! 1069 2012-11-28 16:18:43Z maronga
-! bugfix: added coupling_char to TOPOGRAPHY_DATA to allow topography in the ocean
-!          model in case of coupled runs
+! bugfix: added coupling_char to TOPOGRAPHY_DATA to allow topography in the
+!         ocean model in case of coupled runs
 !
 ! 1036 2012-10-22 13:43:42Z raasch
@@ -680,6 +681,6 @@
 !--             Arbitrary irregular topography data in PALM format (exactly
 !--             matching the grid size and total domain size)
-                OPEN( 90, FILE='TOPOGRAPHY_DATA'//coupling_char, STATUS='OLD', &
-                      FORM='FORMATTED', ERR=10 )
+                OPEN( 90, FILE='TOPOGRAPHY_DATA'//TRIM( coupling_char ),       &
+                          STATUS='OLD', FORM='FORMATTED', ERR=10 )
                 DO  j = ny, 0, -1
                    READ( 90, *, ERR=11, END=11 )  ( topo_height(j,i), i = 0,nx )
@@ -688,8 +689,10 @@
                 GOTO 12
           
- 10             message_string = 'file TOPOGRAPHY'//coupling_char//' does not exist'
+ 10             message_string = 'file TOPOGRAPHY'//TRIM( coupling_char )//    &
+                                 ' does not exist'
                 CALL message( 'init_grid', 'PA0208', 1, 2, 0, 6, 0 )
 
- 11             message_string = 'errors in file TOPOGRAPHY_DATA'//coupling_char
+ 11             message_string = 'errors in file TOPOGRAPHY_DATA'//            &
+                                 TRIM( coupling_char )
                 CALL message( 'init_grid', 'PA0209', 1, 2, 0, 6, 0 )
 
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 1777)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 1779)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! ------------------
-! 
+! changes regarding nested domain removed: virtual PE grid will be automatically
+! calculated for nested runs too
 !
 ! Former revisions:
@@ -154,7 +155,4 @@
     USE pegrid
  
-    USE pmc_interface,                                                         &
-        ONLY:  cpl_npex, cpl_npey, nested_run
-
     USE transpose_indices,                                                     &
         ONLY:  nxl_y, nxl_yd, nxl_z, nxr_y, nxr_yd, nxr_z, nyn_x, nyn_z, nys_x,&
@@ -217,52 +215,41 @@
                            .FALSE. )
 
-    IF ( nested_run )  THEN
-!
-!--    In case of nested-domain runs, the processor grid is explicitly given
-!--    by the user in the nestpar-NAMELIST
-       pdims(1) = cpl_npex
-       pdims(2) = cpl_npey
+!
+!--    Determine the processor topology or check it, if prescribed by the user
+    IF ( npex == -1  .AND.  npey == -1 )  THEN
+
+!
+!--       Automatic determination of the topology
+       numproc_sqr = SQRT( REAL( numprocs, KIND=wp ) )
+       pdims(1)    = MAX( numproc_sqr , 1 )
+       DO  WHILE ( MOD( numprocs , pdims(1) ) /= 0 )
+          pdims(1) = pdims(1) - 1
+       ENDDO
+       pdims(2) = numprocs / pdims(1)
+
+    ELSEIF ( npex /= -1  .AND.  npey /= -1 )  THEN
+
+!
+!--    Prescribed by user. Number of processors on the prescribed topology
+!--    must be equal to the number of PEs available to the job
+       IF ( ( npex * npey ) /= numprocs )  THEN
+          WRITE( message_string, * ) 'number of PEs of the prescribed ',   &
+              'topology (', npex*npey,') does not match & the number of ', &
+              'PEs available to the job (', numprocs, ')'
+          CALL message( 'init_pegrid', 'PA0221', 1, 2, 0, 6, 0 )
+       ENDIF
+       pdims(1) = npex
+       pdims(2) = npey
 
     ELSE
 !
-!--    Determine the processor topology or check it, if prescribed by the user
-       IF ( npex == -1  .AND.  npey == -1 )  THEN
-
-!
-!--       Automatic determination of the topology
-          numproc_sqr = SQRT( REAL( numprocs, KIND=wp ) )
-          pdims(1)    = MAX( numproc_sqr , 1 )
-          DO  WHILE ( MOD( numprocs , pdims(1) ) /= 0 )
-             pdims(1) = pdims(1) - 1
-          ENDDO
-          pdims(2) = numprocs / pdims(1)
-
-       ELSEIF ( npex /= -1  .AND.  npey /= -1 )  THEN
-
-!
-!--       Prescribed by user. Number of processors on the prescribed topology
-!--       must be equal to the number of PEs available to the job
-          IF ( ( npex * npey ) /= numprocs )  THEN
-             WRITE( message_string, * ) 'number of PEs of the prescribed ',   &
-                 'topology (', npex*npey,') does not match & the number of ', & 
-                 'PEs available to the job (', numprocs, ')'
-             CALL message( 'init_pegrid', 'PA0221', 1, 2, 0, 6, 0 )
-          ENDIF
-          pdims(1) = npex
-          pdims(2) = npey
-
-       ELSE
-!
-!--       If the processor topology is prescribed by the user, the number of
-!--       PEs must be given in both directions
-          message_string = 'if the processor topology is prescribed by th' //  &
-                   'e user& both values of "npex" and "npey" must be given' // &
-                   ' in the &NAMELIST-parameter file'
-          CALL message( 'init_pegrid', 'PA0222', 1, 2, 0, 6, 0 )
-
-       ENDIF
-
-    ENDIF
-
+!--    If the processor topology is prescribed by the user, the number of
+!--    PEs must be given in both directions
+       message_string = 'if the processor topology is prescribed by th' //  &
+                'e user& both values of "npex" and "npey" must be given' // &
+                ' in the &NAMELIST-parameter file'
+       CALL message( 'init_pegrid', 'PA0222', 1, 2, 0, 6, 0 )
+
+    ENDIF
 
 !
Index: palm/trunk/SOURCE/interaction_droplets_ptq.f90
===================================================================
--- palm/trunk/SOURCE/interaction_droplets_ptq.f90	(revision 1777)
+++ palm/trunk/SOURCE/interaction_droplets_ptq.f90	(revision 1779)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! module procedure names shortened to avoid Intel compiler warnings about too
+! long names
 ! 
 ! Former revisions:
@@ -60,6 +61,9 @@
 
     INTERFACE interaction_droplets_ptq
-       MODULE PROCEDURE interaction_droplets_ptq
-       MODULE PROCEDURE interaction_droplets_ptq_ij
+!
+!--    Internal names shortened in order ro avoid Intel compiler messages
+!--    about too long names
+       MODULE PROCEDURE i_droplets_ptq
+       MODULE PROCEDURE i_droplets_ptq_ij
     END INTERFACE interaction_droplets_ptq
  
@@ -72,5 +76,5 @@
 !> Call for all grid points
 !------------------------------------------------------------------------------!
-    SUBROUTINE interaction_droplets_ptq
+    SUBROUTINE i_droplets_ptq
 
        USE arrays_3d,                                                          &
@@ -103,5 +107,5 @@
        ENDDO
 
-    END SUBROUTINE interaction_droplets_ptq
+    END SUBROUTINE i_droplets_ptq
 
 
@@ -111,5 +115,5 @@
 !> Call for grid point i,j
 !------------------------------------------------------------------------------!
-    SUBROUTINE interaction_droplets_ptq_ij( i, j )
+    SUBROUTINE i_droplets_ptq_ij( i, j )
 
        USE arrays_3d,                                                          &
@@ -139,5 +143,5 @@
        ENDDO
 
-    END SUBROUTINE interaction_droplets_ptq_ij
+    END SUBROUTINE i_droplets_ptq_ij
 
  END MODULE interaction_droplets_ptq_mod
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1777)
+++ palm/trunk/SOURCE/modules.f90	(revision 1779)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-!
+! coupling_char extended to LEN=3
 !
 ! Former revisions:
@@ -578,5 +578,5 @@
 
     CHARACTER (LEN=1)    ::  cycle_mg = 'w', timestep_reason = ' '
-    CHARACTER (LEN=2)    ::  coupling_char = ''
+    CHARACTER (LEN=3)    ::  coupling_char = ''
     CHARACTER (LEN=5)    ::  write_binary = 'false'
     CHARACTER (LEN=8)    ::  most_method = 'lookup', & !< NAMELIST parameter defining method to be used to calculate Okukhov length, 
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 1777)
+++ palm/trunk/SOURCE/palm.f90	(revision 1779)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-!
+! setting of nest_domain and coupling_char moved to the pmci
 !
 ! Former revisions:
@@ -198,9 +198,4 @@
 !-- be changed in init_pegrid).
     IF ( nested_run )  THEN
-!--    TO_DO: move the following two settings somewehere to the pmc_interface
-       IF ( cpl_id >= 2 )  THEN
-          nest_domain = .TRUE.
-          WRITE( coupling_char, '(A1,I1.1)') '_', cpl_id
-       ENDIF
 
        CALL MPI_COMM_SIZE( comm_palm, numprocs, ierr )
